Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453871 - RFE: Update synaptics to 20080702git and include MultiFingerButton patch
Summary: RFE: Update synaptics to 20080702git and include MultiFingerButton patch
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-synaptics
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 23:23 UTC by Stewart Adam
Modified: 2018-04-11 08:37 UTC (History)
4 users (show)

Fixed In Version: 0.15.1-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-24 04:58:10 UTC


Attachments (Terms of Use)
Output of "cvs diff -u" on F-9 branch (deleted)
2008-07-02 23:23 UTC, Stewart Adam
no flags Details | Diff

Description Stewart Adam 2008-07-02 23:23:32 UTC
The attached file updates synaptics to today's git, update the existing patches
accordingly as well as adds a new patch to support "MultiFingerButton".

It would be great to have this commited since the git checkout improves the
double-finger scroll detection. The MultiFingerButton allows users to configure
alternate button events when clicking with two fingers present on the touchpad.

Comment 1 Stewart Adam 2008-07-02 23:23:32 UTC
Created attachment 310868 [details]
Output of "cvs diff -u" on F-9 branch

Comment 2 Peter Hutterer 2008-08-22 06:43:24 UTC
Stewart:
The cvs diff is missing the patch you added. Nevertheless, I believe the following commit may be equivalent to what you wanted to add?

http://cgit.freedesktop.org/xorg/driver/xf86-input-synaptics/commit/?id=c32b4d47b94c2c18fab7f30588ddae8827e38f27

If so, it is part of xorg-x11-drv-synaptics, which superseeds synaptics.

Comment 3 Stewart Adam 2008-08-22 21:30:20 UTC
@missing patch, sorry about that, I don't use CVS very often ;)

That looks more or less what MultiFingerButton, essentially as long as it supports double-tap/clicking while two fingers are pressed --> right click I'm happy.

Comment 4 Peter Hutterer 2008-09-24 04:58:10 UTC
Closing, the TapButton or alternatively ClickFinger options provide that functionality.

Available from xorg-x11-drv-synaptics-0.15.0-2.f9.


Note You need to log in before you can comment on or make changes to this bug.